#ifndef __IO__
#define __IO__

#include "structures.h"

/** Toutes les entres/sorties, cran, disque, clavier */

/** Affiche le damier avec les joueurs, les scores, etc */
void affiche    (partie);

/** Sauvegarde une partie dans un fichier, dans le format qui va bien */
int  sauvegarde (partie, const char *);

/** Charge une partie  partir d'un fichier */
int  charge     (partie, const char *);

/** Traitement d'une commande */
int traitement(partie, const char *);

/** Encode une partie comme pour le book de logistello */
char *encode(partie, char *);

/** Dcode une partie donne sous la forme du book de logistello 
    Renvoie 1 si marche et 0 sinon                               */
int  decode(partie, const char *);

/** Pour lire une ligne et enlever le '\n'  la fin */
char * lit_ligne(char *, int); 

/** Convertit une position en un chaine de type 'a1' */ 
char * int2str(int, char *);

/** Fait l'inverse de la fonction prcdente */
int    str2int(const char *);

#endif
